Bug 492811 - Skip-broken prouces ERROR with rpm_check_debug vs depsolve, on openssl (i586 vs. i686)
Skip-broken prouces ERROR with rpm_check_debug vs depsolve, on openssl (i586 ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 17:34 EDT by Herbert Carl Meyer
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 10:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum output (2.99 KB, text/plain)
2009-03-29 17:36 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2009-03-29 17:34:02 EDT
Description of problem:

yum is confused about dependencies.

Version-Release number of selected component (if applicable):

yum-3.2.22-1.fc11.noarch

How reproducible: 100%

Steps to Reproduce:
1. run: yum --skip-broken update

2. watch yum, states:

--> Processing Dependency: openssl = 0.9.8j for package: httrack
---> Package openssl.i686 0:0.9.8k-1.fc11 set to be updated
---> Package openssl-devel.i586 0:0.9.8k-1.fc11 set to be updated
--> Finished Dependency Resolution
httrack-3.43.2-2.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: openssl = 0.9.8j is needed by package httrack-3.43.2-2.fc11.i586 (installed)

3. Continuing, yum states:
--> Running transaction check
---> Package openssl.i686 0:0.9.8k-1.fc11 set to be updated
--> Processing Dependency: openssl = 0.9.8k-1.fc11 for package: openssl-devel
--> Running transaction check
---> Package openssl.i586 0:0.9.8k-1.fc11 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package openssh.i586 0:5.2p1-2.fc11 set to be updated  

Actual results: yum downloads, fails with message:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
openssl is needed by (installed) httrack-3.43.2-2.fc11.i586
Complete!
(1, [u'Please report this error in http://yum.baseurl.org/report'])

Expected results:
not try to update openssl, 

Additional info:

complete output attached
Comment 1 Herbert Carl Meyer 2009-03-29 17:36:18 EDT
Created attachment 337184 [details]
yum output
Comment 2 James Antill 2009-03-29 19:14:53 EDT
Can you run: yum list openssl
Comment 3 Herbert Carl Meyer 2009-03-29 19:38:59 EDT
yum list openssl
Loaded plugins: dellsysidplugin2, refresh-packagekit
Installed Packages
openssl.i686                       0.9.8j-8.fc11                       installed
Available Packages
openssl.i586                       0.9.8k-1.fc11                       rawhide  
openssl.i686                       0.9.8k-1.fc11                       rawhide  

Is yum confused about .586 and .686 ? 

System was a .686 until kernel.686 was dropped. It is running a .586 kernel, I have not figured out how to make it a .686-PAE, it qualifies (I think).
Comment 4 seth vidal 2009-05-11 10:48:45 EDT
Can you still make this happen using the latest yum from rawhide/f11?
Comment 5 Herbert Carl Meyer 2009-05-11 14:12:09 EDT
No, I cannot. I am sorry, I do not remember exactly when this problem was resolved. yum says:

[hcmeyer@evilgnome ~]$ yum list openssl
Loaded plugins: dellsysidplugin2, refresh-packagekit
Installed Packages
openssl.i686                       0.9.8k-1.fc11                       installed
Available Packages
openssl.i586                       0.9.8k-1.fc11                       rawhide  

looks like I may have explicitly installed the .686 by hand ? I will scratch head, check old logs.
Comment 6 Bug Zapper 2009-06-09 08:48:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.